{ pkgs, options, ... }:

let
in {
  environment.systemPackages = with pkgs; [
    cryptsetup
    dnsutils
    dogdns
    k9s
    kind
    kubectl
    kubectx
    kubeseal
    nmap
    pwgen
    terraform
    whois
    ipcalc

    argocd
    kubernetes-helm
    kustomize
    pre-commit
    terraform-ls
    vault

    docker-compose
    fuse-overlayfs
    qemu
    virt-manager

    (import ../packages/skaffold.nix)
    (import ../packages/certmanager.nix)
  ];

  programs.bash.shellAliases = {
    kx = "kubectx";
    kns = "kubens";
  };

  virtualisation.docker = {
    enable = true;
    storageDriver = "zfs";
  };
  virtualisation.libvirtd = {
    enable = true;
    qemu = {
      swtpm.enable = true;
      ovmf.enable = true;
    };
  };
}
